## org.eclipse.uml2.uml.util
Class UMLAdapterFactory

    java.lang.Object
      org.eclipse.emf.common.notify.impl.AdapterFactoryImpl
          org.eclipse.uml2.uml.util.UMLAdapterFactory

All Implemented Interfaces:
  org.eclipse.emf.common.notify.AdapterFactory

Direct Known Subclasses:
  UMLItemProviderAdapterFactory

    public class UMLAdapterFactory

extends org.eclipse.emf.common.notify.impl.AdapterFactoryImpl

The Adapter Factory for the model. It provides an adapter `createXXX` method for each class of the model.

See Also:
  `UMLPackage`

Field Summary
`protected static UMLPackage` `modelPackage` The cached model package
`protected UMLSwitch<org.eclipse.emf.common.notify.Adapter>` `modelSwitch` The switch that delegates to the `createXXX` methods

Constructor Summary
`UMLAdapterFactory()` Creates an instance of the adapter factory

Method Summary
`org.eclipse.emf.common.notify.Adapter` `createAbstractionAdapter()` Creates a new adapter for an object of class '`Abstraction`'
`org.eclipse.emf.common.notify.Adapter` `createAcceptCallActionAdapter()` Creates a new adapter for an object of class '`Accept Call Action`'
`org.eclipse.emf.common.notify.Adapter` `createAcceptEventActionAdapter()` Creates a new adapter for an object of class '`Accept Event Action`'
`org.eclipse.emf.common.notify.Adapter` `createActionAdapter()` Creates a new adapter for an object of class '`Action`'
`org.eclipse.emf.common.notify.Adapter` `createActionExecutionSpecificationAdapter()` Creates a new adapter for an object of class '`Action Execution Specification`'
`org.eclipse.emf.common.notify.Adapter` `createActionInputPinAdapter()` Creates a new adapter for an object of class '`Action Input Pin`'
`org.eclipse.emf.common.notify.Adapter` `createActivityAdapter()` Creates a new adapter for an object of class '`Activity`'
`org.eclipse.emf.common.notify.Adapter` `createActivityEdgeAdapter()` Creates a new adapter for an object of class '`Activity Edge`'
`org.eclipse.emf.common.notify.Adapter` `createActivityFinalNodeAdapter()` Creates a new adapter for an object of class '`Activity Final Node`'
`org.eclipse.emf.common.notify.Adapter` `createActivityGroupAdapter()` Creates a new adapter for an object of class '`Activity Group`'
`org.eclipse.emf.common.notify.Adapter` `createActivityNodeAdapter()` Creates a new adapter for an object of class '`Activity Node`'
`org.eclipse.emf.common.notify.Adapter` `createActivityParameterNodeAdapter()` Creates a new adapter for an object of class '`Activity Parameter Node`'
`org.eclipse.emf.common.notify.Adapter` `createActivityPartitionAdapter()` Creates a new adapter for an object of class '`Activity Partition`'
`org.eclipse.emf.common.notify.Adapter` `createActorAdapter()` Creates a new adapter for an object of class '`Actor`'
`org.eclipse.emf.common.notify.Adapter` `createAdapter(org.eclipse.emf.common.notify.Notifier target)` Creates an adapter for the `target`
`org.eclipse.emf.common.notify.Adapter` `createAddStructuralFeatureValueActionAdapter()` Creates a new adapter for an object of class '`Add Structural Feature Value Action`'
`org.eclipse.emf.common.notify.Adapter` `createAddVariableValueActionAdapter()` Creates a new adapter for an object of class '`Add Variable Value Action`'
`org.eclipse.emf.common.notify.Adapter` `createAnyReceiveEventAdapter()` Creates a new adapter for an object of class '`Any Receive Event`'
`org.eclipse.emf.common.notify.Adapter` `createArtifactAdapter()` Creates a new adapter for an object of class '`Artifact`'
`org.eclipse.emf.common.notify.Adapter` `createAssociationAdapter()` Creates a new adapter for an object of class '`Association`'
`org.eclipse.emf.common.notify.Adapter` `createAssociationClassAdapter()` Creates a new adapter for an object of class '`Association Class`'
`org.eclipse.emf.common.notify.Adapter` `createBehaviorAdapter()` Creates a new adapter for an object of class '`Behavior`'
`org.eclipse.emf.common.notify.Adapter` `createBehavioralFeatureAdapter()` Creates a new adapter for an object of class '`Behavioral Feature`'
`org.eclipse.emf.common.notify.Adapter` `createBehavioredClassifierAdapter()` Creates a new adapter for an object of class '`Behaviored Classifier`'
`org.eclipse.emf.common.notify.Adapter` `createBehaviorExecutionSpecificationAdapter()` Creates a new adapter for an object of class '`Behavior Execution Specification`'
`org.eclipse.emf.common.notify.Adapter` `createBroadcastSignalActionAdapter()` Creates a new adapter for an object of class '`Broadcast Signal Action`'
`org.eclipse.emf.common.notify.Adapter` `createCallActionAdapter()` Creates a new adapter for an object of class '`Call Action`'
`org.eclipse.emf.common.notify.Adapter` `createCallBehaviorActionAdapter()` Creates a new adapter for an object of class '`Call Behavior Action`'
`org.eclipse.emf.common.notify.Adapter` `createCallEventAdapter()` Creates a new adapter for an object of class '`Call Event`'
`org.eclipse.emf.common.notify.Adapter` `createCallOperationActionAdapter()` Creates a new adapter for an object of class '`Call Operation Action`'
`org.eclipse.emf.common.notify.Adapter` `createCentralBufferNodeAdapter()` Creates a new adapter for an object of class '`Central Buffer Node`'
`org.eclipse.emf.common.notify.Adapter` `createChangeEventAdapter()` Creates a new adapter for an object of class '`Change Event`'
`org.eclipse.emf.common.notify.Adapter` `createClassAdapter()` Creates a new adapter for an object of class '`Class`'
`org.eclipse.emf.common.notify.Adapter` `createClassifierAdapter()` Creates a new adapter for an object of class '`Classifier`'
`org.eclipse.emf.common.notify.Adapter` `createClassifierTemplateParameterAdapter()` Creates a new adapter for an object of class '`Classifier Template Parameter`'
`org.eclipse.emf.common.notify.Adapter` `createClauseAdapter()` Creates a new adapter for an object of class '`Clause`'
`org.eclipse.emf.common.notify.Adapter` `createClearAssociationActionAdapter()` Creates a new adapter for an object of class '`Clear Association Action`'
`org.eclipse.emf.common.notify.Adapter` `createClearStructuralFeatureActionAdapter()` Creates a new adapter for an object of class '`Clear Structural Feature Action`'
`org.eclipse.emf.common.notify.Adapter` `createClearVariableActionAdapter()` Creates a new adapter for an object of class '`Clear Variable Action`'
`org.eclipse.emf.common.notify.Adapter` `createCollaborationAdapter()` Creates a new adapter for an object of class '`Collaboration`'
`org.eclipse.emf.common.notify.Adapter` `createCollaborationUseAdapter()` Creates a new adapter for an object of class '`Collaboration Use`'
`org.eclipse.emf.common.notify.Adapter` `createCombinedFragmentAdapter()` Creates a new adapter for an object of class '`Combined Fragment`'
`org.eclipse.emf.common.notify.Adapter` `createCommentAdapter()` Creates a new adapter for an object of class '`Comment`'
`org.eclipse.emf.common.notify.Adapter` `createCommunicationPathAdapter()` Creates a new adapter for an object of class '`Communication Path`'
`org.eclipse.emf.common.notify.Adapter` `createComponentAdapter()` Creates a new adapter for an object of class '`Component`'
`org.eclipse.emf.common.notify.Adapter` `createComponentRealizationAdapter()` Creates a new adapter for an object of class '`Component Realization`'
`org.eclipse.emf.common.notify.Adapter` `createConditionalNodeAdapter()` Creates a new adapter for an object of class '`Conditional Node`'
`org.eclipse.emf.common.notify.Adapter` `createConnectableElementAdapter()` Creates a new adapter for an object of class '`Connectable Element`'
`org.eclipse.emf.common.notify.Adapter` `createConnectableElementTemplateParameterAdapter()` Creates a new adapter for an object of class '`Connectable Element Template Parameter`'
`org.eclipse.emf.common.notify.Adapter` `createConnectionPointReferenceAdapter()` Creates a new adapter for an object of class '`Connection Point Reference`'
`org.eclipse.emf.common.notify.Adapter` `createConnectorAdapter()` Creates a new adapter for an object of class '`Connector`'
`org.eclipse.emf.common.notify.Adapter` `createConnectorEndAdapter()` Creates a new adapter for an object of class '`Connector End`'
`org.eclipse.emf.common.notify.Adapter` `createConsiderIgnoreFragmentAdapter()` Creates a new adapter for an object of class '`Consider Ignore Fragment`'
`org.eclipse.emf.common.notify.Adapter` `createConstraintAdapter()` Creates a new adapter for an object of class '`Constraint`'
`org.eclipse.emf.common.notify.Adapter` `createContinuationAdapter()` Creates a new adapter for an object of class '`Continuation`'
`org.eclipse.emf.common.notify.Adapter` `createControlFlowAdapter()` Creates a new adapter for an object of class '`Control Flow`'
`org.eclipse.emf.common.notify.Adapter` `createControlNodeAdapter()` Creates a new adapter for an object of class '`Control Node`'
`org.eclipse.emf.common.notify.Adapter` `createCreateLinkActionAdapter()` Creates a new adapter for an object of class '`Create Link Action`'
`org.eclipse.emf.common.notify.Adapter` `createCreateLinkObjectActionAdapter()` Creates a new adapter for an object of class '`Create Link Object Action`'
`org.eclipse.emf.common.notify.Adapter` `createCreateObjectActionAdapter()` Creates a new adapter for an object of class '`Create Object Action`'
`org.eclipse.emf.common.notify.Adapter` `createCreationEventAdapter()` Creates a new adapter for an object of class '`Creation Event`'
`org.eclipse.emf.common.notify.Adapter` `createDataStoreNodeAdapter()` Creates a new adapter for an object of class '`Data Store Node`'
`org.eclipse.emf.common.notify.Adapter` `createDataTypeAdapter()` Creates a new adapter for an object of class '`Data Type`'
`org.eclipse.emf.common.notify.Adapter` `createDecisionNodeAdapter()` Creates a new adapter for an object of class '`Decision Node`'
`org.eclipse.emf.common.notify.Adapter` `createDependencyAdapter()` Creates a new adapter for an object of class '`Dependency`'
`org.eclipse.emf.common.notify.Adapter` `createDeployedArtifactAdapter()` Creates a new adapter for an object of class '`Deployed Artifact`'
`org.eclipse.emf.common.notify.Adapter` `createDeploymentAdapter()` Creates a new adapter for an object of class '`Deployment`'
`org.eclipse.emf.common.notify.Adapter` `createDeploymentSpecificationAdapter()` Creates a new adapter for an object of class '`Deployment Specification`'
`org.eclipse.emf.common.notify.Adapter` `createDeploymentTargetAdapter()` Creates a new adapter for an object of class '`Deployment Target`'
`org.eclipse.emf.common.notify.Adapter` `createDestroyLinkActionAdapter()` Creates a new adapter for an object of class '`Destroy Link Action`'
`org.eclipse.emf.common.notify.Adapter` `createDestroyObjectActionAdapter()` Creates a new adapter for an object of class '`Destroy Object Action`'
`org.eclipse.emf.common.notify.Adapter` `createDestructionEventAdapter()` Creates a new adapter for an object of class '`Destruction Event`'
`org.eclipse.emf.common.notify.Adapter` `createDeviceAdapter()` Creates a new adapter for an object of class '`Device`'
`org.eclipse.emf.common.notify.Adapter` `createDirectedRelationshipAdapter()` Creates a new adapter for an object of class '`Directed Relationship`'
`org.eclipse.emf.common.notify.Adapter` `createDurationAdapter()` Creates a new adapter for an object of class '`Duration`'
`org.eclipse.emf.common.notify.Adapter` `createDurationConstraintAdapter()` Creates a new adapter for an object of class '`Duration Constraint`'
`org.eclipse.emf.common.notify.Adapter` `createDurationIntervalAdapter()` Creates a new adapter for an object of class '`Duration Interval`'
`org.eclipse.emf.common.notify.Adapter` `createDurationObservationAdapter()` Creates a new adapter for an object of class '`Duration Observation`'
`org.eclipse.emf.common.notify.Adapter` `createElementAdapter()` Creates a new adapter for an object of class '`Element`'
`org.eclipse.emf.common.notify.Adapter` `createElementImportAdapter()` Creates a new adapter for an object of class '`Element Import`'
`org.eclipse.emf.common.notify.Adapter` `createEModelElementAdapter()` Creates a new adapter for an object of class '`EModel Element`'
`org.eclipse.emf.common.notify.Adapter` `createEncapsulatedClassifierAdapter()` Creates a new adapter for an object of class '`Encapsulated Classifier`'
`org.eclipse.emf.common.notify.Adapter` `createEnumerationAdapter()` Creates a new adapter for an object of class '`Enumeration`'
`org.eclipse.emf.common.notify.Adapter` `createEnumerationLiteralAdapter()` Creates a new adapter for an object of class '`Enumeration Literal`'
`org.eclipse.emf.common.notify.Adapter` `createEObjectAdapter()` Creates a new adapter for the default case
`org.eclipse.emf.common.notify.Adapter` `createEventAdapter()` Creates a new adapter for an object of class '`Event`'
`org.eclipse.emf.common.notify.Adapter` `createExceptionHandlerAdapter()` Creates a new adapter for an object of class '`Exception Handler`'
`org.eclipse.emf.common.notify.Adapter` `createExecutableNodeAdapter()` Creates a new adapter for an object of class '`Executable Node`'
`org.eclipse.emf.common.notify.Adapter` `createExecutionEnvironmentAdapter()` Creates a new adapter for an object of class '`Execution Environment`'
`org.eclipse.emf.common.notify.Adapter` `createExecutionEventAdapter()` Creates a new adapter for an object of class '`Execution Event`'
`org.eclipse.emf.common.notify.Adapter` `createExecutionOccurrenceSpecificationAdapter()` Creates a new adapter for an object of class '`Execution Occurrence Specification`'
`org.eclipse.emf.common.notify.Adapter` `createExecutionSpecificationAdapter()` Creates a new adapter for an object of class '`Execution Specification`'
`org.eclipse.emf.common.notify.Adapter` `createExpansionNodeAdapter()` Creates a new adapter for an object of class '`Expansion Node`'
`org.eclipse.emf.common.notify.Adapter` `createExpansionRegionAdapter()` Creates a new adapter for an object of class '`Expansion Region`'
`org.eclipse.emf.common.notify.Adapter` `createExpressionAdapter()` Creates a new adapter for an object of class '`Expression`'
`org.eclipse.emf.common.notify.Adapter` `createExtendAdapter()` Creates a new adapter for an object of class '`Extend`'
`org.eclipse.emf.common.notify.Adapter` `createExtensionAdapter()` Creates a new adapter for an object of class '`Extension`'
`org.eclipse.emf.common.notify.Adapter` `createExtensionEndAdapter()` Creates a new adapter for an object of class '`Extension End`'
`org.eclipse.emf.common.notify.Adapter` `createExtensionPointAdapter()` Creates a new adapter for an object of class '`Extension Point`'
`org.eclipse.emf.common.notify.Adapter` `createFeatureAdapter()` Creates a new adapter for an object of class '`Feature`'
`org.eclipse.emf.common.notify.Adapter` `createFinalNodeAdapter()` Creates a new adapter for an object of class '`Final Node`'
`org.eclipse.emf.common.notify.Adapter` `createFinalStateAdapter()` Creates a new adapter for an object of class '`Final State`'
`org.eclipse.emf.common.notify.Adapter` `createFlowFinalNodeAdapter()` Creates a new adapter for an object of class '`Flow Final Node`'
`org.eclipse.emf.common.notify.Adapter` `createForkNodeAdapter()` Creates a new adapter for an object of class '`Fork Node`'
`org.eclipse.emf.common.notify.Adapter` `createFunctionBehaviorAdapter()` Creates a new adapter for an object of class '`Function Behavior`'
`org.eclipse.emf.common.notify.Adapter` `createGateAdapter()` Creates a new adapter for an object of class '`Gate`'
`org.eclipse.emf.common.notify.Adapter` `createGeneralizationAdapter()` Creates a new adapter for an object of class '`Generalization`'
`org.eclipse.emf.common.notify.Adapter` `createGeneralizationSetAdapter()` Creates a new adapter for an object of class '`Generalization Set`'
`org.eclipse.emf.common.notify.Adapter` `createGeneralOrderingAdapter()` Creates a new adapter for an object of class '`General Ordering`'
`org.eclipse.emf.common.notify.Adapter` `createImageAdapter()` Creates a new adapter for an object of class '`Image`'
`org.eclipse.emf.common.notify.Adapter` `createIncludeAdapter()` Creates a new adapter for an object of class '`Include`'
`org.eclipse.emf.common.notify.Adapter` `createInformationFlowAdapter()` Creates a new adapter for an object of class '`Information Flow`'
`org.eclipse.emf.common.notify.Adapter` `createInformationItemAdapter()` Creates a new adapter for an object of class '`Information Item`'
`org.eclipse.emf.common.notify.Adapter` `createInitialNodeAdapter()` Creates a new adapter for an object of class '`Initial Node`'
`org.eclipse.emf.common.notify.Adapter` `createInputPinAdapter()` Creates a new adapter for an object of class '`Input Pin`'
`org.eclipse.emf.common.notify.Adapter` `createInstanceSpecificationAdapter()` Creates a new adapter for an object of class '`Instance Specification`'
`org.eclipse.emf.common.notify.Adapter` `createInstanceValueAdapter()` Creates a new adapter for an object of class '`Instance Value`'
`org.eclipse.emf.common.notify.Adapter` `createInteractionAdapter()` Creates a new adapter for an object of class '`Interaction`'
`org.eclipse.emf.common.notify.Adapter` `createInteractionConstraintAdapter()` Creates a new adapter for an object of class '`Interaction Constraint`'
`org.eclipse.emf.common.notify.Adapter` `createInteractionFragmentAdapter()` Creates a new adapter for an object of class '`Interaction Fragment`'
`org.eclipse.emf.common.notify.Adapter` `createInteractionOperandAdapter()` Creates a new adapter for an object of class '`Interaction Operand`'
`org.eclipse.emf.common.notify.Adapter` `createInteractionUseAdapter()` Creates a new adapter for an object of class '`Interaction Use`'
`org.eclipse.emf.common.notify.Adapter` `createInterfaceAdapter()` Creates a new adapter for an object of class '`Interface`'
`org.eclipse.emf.common.notify.Adapter` `createInterfaceRealizationAdapter()` Creates a new adapter for an object of class '`Interface Realization`'
`org.eclipse.emf.common.notify.Adapter` `createInterruptibleActivityRegionAdapter()` Creates a new adapter for an object of class '`Interruptible Activity Region`'
`org.eclipse.emf.common.notify.Adapter` `createIntervalAdapter()` Creates a new adapter for an object of class '`Interval`'
`org.eclipse.emf.common.notify.Adapter` `createIntervalConstraintAdapter()` Creates a new adapter for an object of class '`Interval Constraint`'
`org.eclipse.emf.common.notify.Adapter` `createInvocationActionAdapter()` Creates a new adapter for an object of class '`Invocation Action`'
`org.eclipse.emf.common.notify.Adapter` `createJoinNodeAdapter()` Creates a new adapter for an object of class '`Join Node`'
`org.eclipse.emf.common.notify.Adapter` `createLifelineAdapter()` Creates a new adapter for an object of class '`Lifeline`'
`org.eclipse.emf.common.notify.Adapter` `createLinkActionAdapter()` Creates a new adapter for an object of class '`Link Action`'
`org.eclipse.emf.common.notify.Adapter` `createLinkEndCreationDataAdapter()` Creates a new adapter for an object of class '`Link End Creation Data`'
`org.eclipse.emf.common.notify.Adapter` `createLinkEndDataAdapter()` Creates a new adapter for an object of class '`Link End Data`'
`org.eclipse.emf.common.notify.Adapter` `createLinkEndDestructionDataAdapter()` Creates a new adapter for an object of class '`Link End Destruction Data`'
`org.eclipse.emf.common.notify.Adapter` `createLiteralBooleanAdapter()` Creates a new adapter for an object of class '`Literal Boolean`'
`org.eclipse.emf.common.notify.Adapter` `createLiteralIntegerAdapter()` Creates a new adapter for an object of class '`Literal Integer`'
`org.eclipse.emf.common.notify.Adapter` `createLiteralNullAdapter()` Creates a new adapter for an object of class '`Literal Null`'
`org.eclipse.emf.common.notify.Adapter` `createLiteralSpecificationAdapter()` Creates a new adapter for an object of class '`Literal Specification`'
`org.eclipse.emf.common.notify.Adapter` `createLiteralStringAdapter()` Creates a new adapter for an object of class '`Literal String`'
`org.eclipse.emf.common.notify.Adapter` `createLiteralUnlimitedNaturalAdapter()` Creates a new adapter for an object of class '`Literal Unlimited Natural`'
`org.eclipse.emf.common.notify.Adapter` `createLoopNodeAdapter()` Creates a new adapter for an object of class '`Loop Node`'
`org.eclipse.emf.common.notify.Adapter` `createManifestationAdapter()` Creates a new adapter for an object of class '`Manifestation`'
`org.eclipse.emf.common.notify.Adapter` `createMergeNodeAdapter()` Creates a new adapter for an object of class '`Merge Node`'
`org.eclipse.emf.common.notify.Adapter` `createMessageAdapter()` Creates a new adapter for an object of class '`Message`'
`org.eclipse.emf.common.notify.Adapter` `createMessageEndAdapter()` Creates a new adapter for an object of class '`Message End`'
`org.eclipse.emf.common.notify.Adapter` `createMessageEventAdapter()` Creates a new adapter for an object of class '`Message Event`'
`org.eclipse.emf.common.notify.Adapter` `createMessageOccurrenceSpecificationAdapter()` Creates a new adapter for an object of class '`Message Occurrence Specification`'
`org.eclipse.emf.common.notify.Adapter` `createModelAdapter()` Creates a new adapter for an object of class '`Model`'
`org.eclipse.emf.common.notify.Adapter` `createMultiplicityElementAdapter()` Creates a new adapter for an object of class '`Multiplicity Element`'
`org.eclipse.emf.common.notify.Adapter` `createNamedElementAdapter()` Creates a new adapter for an object of class '`Named Element`'
`org.eclipse.emf.common.notify.Adapter` `createNamespaceAdapter()` Creates a new adapter for an object of class '`Namespace`'
`org.eclipse.emf.common.notify.Adapter` `createNodeAdapter()` Creates a new adapter for an object of class '`Node`'
`org.eclipse.emf.common.notify.Adapter` `createObjectFlowAdapter()` Creates a new adapter for an object of class '`Object Flow`'
`org.eclipse.emf.common.notify.Adapter` `createObjectNodeAdapter()` Creates a new adapter for an object of class '`Object Node`'
`org.eclipse.emf.common.notify.Adapter` `createObservationAdapter()` Creates a new adapter for an object of class '`Observation`'
`org.eclipse.emf.common.notify.Adapter` `createOccurrenceSpecificationAdapter()` Creates a new adapter for an object of class '`Occurrence Specification`'
`org.eclipse.emf.common.notify.Adapter` `createOpaqueActionAdapter()` Creates a new adapter for an object of class '`Opaque Action`'
`org.eclipse.emf.common.notify.Adapter` `createOpaqueBehaviorAdapter()` Creates a new adapter for an object of class '`Opaque Behavior`'
`org.eclipse.emf.common.notify.Adapter` `createOpaqueExpressionAdapter()` Creates a new adapter for an object of class '`Opaque Expression`'
`org.eclipse.emf.common.notify.Adapter` `createOperationAdapter()` Creates a new adapter for an object of class '`Operation`'
`org.eclipse.emf.common.notify.Adapter` `createOperationTemplateParameterAdapter()` Creates a new adapter for an object of class '`Operation Template Parameter`'
`org.eclipse.emf.common.notify.Adapter` `createOutputPinAdapter()` Creates a new adapter for an object of class '`Output Pin`'
`org.eclipse.emf.common.notify.Adapter` `createPackageableElementAdapter()` Creates a new adapter for an object of class '`Packageable Element`'
`org.eclipse.emf.common.notify.Adapter` `createPackageAdapter()` Creates a new adapter for an object of class '`Package`'
`org.eclipse.emf.common.notify.Adapter` `createPackageImportAdapter()` Creates a new adapter for an object of class '`Package Import`'
`org.eclipse.emf.common.notify.Adapter` `createPackageMergeAdapter()` Creates a new adapter for an object of class '`Package Merge`'
`org.eclipse.emf.common.notify.Adapter` `createParameterableElementAdapter()` Creates a new adapter for an object of class '`Parameterable Element`'
`org.eclipse.emf.common.notify.Adapter` `createParameterAdapter()` Creates a new adapter for an object of class '`Parameter`'
`org.eclipse.emf.common.notify.Adapter` `createParameterSetAdapter()` Creates a new adapter for an object of class '`Parameter Set`'
`org.eclipse.emf.common.notify.Adapter` `createPartDecompositionAdapter()` Creates a new adapter for an object of class '`Part Decomposition`'
`org.eclipse.emf.common.notify.Adapter` `createPinAdapter()` Creates a new adapter for an object of class '`Pin`'
`org.eclipse.emf.common.notify.Adapter` `createPortAdapter()` Creates a new adapter for an object of class '`Port`'
`org.eclipse.emf.common.notify.Adapter` `createPrimitiveTypeAdapter()` Creates a new adapter for an object of class '`Primitive Type`'
`org.eclipse.emf.common.notify.Adapter` `createProfileAdapter()` Creates a new adapter for an object of class '`Profile`'
`org.eclipse.emf.common.notify.Adapter` `createProfileApplicationAdapter()` Creates a new adapter for an object of class '`Profile Application`'
`org.eclipse.emf.common.notify.Adapter` `createPropertyAdapter()` Creates a new adapter for an object of class '`Property`'
`org.eclipse.emf.common.notify.Adapter` `createProtocolConformanceAdapter()` Creates a new adapter for an object of class '`Protocol Conformance`'
`org.eclipse.emf.common.notify.Adapter` `createProtocolStateMachineAdapter()` Creates a new adapter for an object of class '`Protocol State Machine`'
`org.eclipse.emf.common.notify.Adapter` `createProtocolTransitionAdapter()` Creates a new adapter for an object of class '`Protocol Transition`'
`org.eclipse.emf.common.notify.Adapter` `createPseudostateAdapter()` Creates a new adapter for an object of class '`Pseudostate`'
`org.eclipse.emf.common.notify.Adapter` `createQualifierValueAdapter()` Creates a new adapter for an object of class '`Qualifier Value`'
`org.eclipse.emf.common.notify.Adapter` `createRaiseExceptionActionAdapter()` Creates a new adapter for an object of class '`Raise Exception Action`'
`org.eclipse.emf.common.notify.Adapter` `createReadExtentActionAdapter()` Creates a new adapter for an object of class '`Read Extent Action`'
`org.eclipse.emf.common.notify.Adapter` `createReadIsClassifiedObjectActionAdapter()` Creates a new adapter for an object of class '`Read Is Classified Object Action`'
`org.eclipse.emf.common.notify.Adapter` `createReadLinkActionAdapter()` Creates a new adapter for an object of class '`Read Link Action`'
`org.eclipse.emf.common.notify.Adapter` `createReadLinkObjectEndActionAdapter()` Creates a new adapter for an object of class '`Read Link Object End Action`'
`org.eclipse.emf.common.notify.Adapter` `createReadLinkObjectEndQualifierActionAdapter()` Creates a new adapter for an object of class '`Read Link Object End Qualifier Action`'
`org.eclipse.emf.common.notify.Adapter` `createReadSelfActionAdapter()` Creates a new adapter for an object of class '`Read Self Action`'
`org.eclipse.emf.common.notify.Adapter` `createReadStructuralFeatureActionAdapter()` Creates a new adapter for an object of class '`Read Structural Feature Action`'
`org.eclipse.emf.common.notify.Adapter` `createReadVariableActionAdapter()` Creates a new adapter for an object of class '`Read Variable Action`'
`org.eclipse.emf.common.notify.Adapter` `createRealizationAdapter()` Creates a new adapter for an object of class '`Realization`'
`org.eclipse.emf.common.notify.Adapter` `createReceiveOperationEventAdapter()` Creates a new adapter for an object of class '`Receive Operation Event`'
`org.eclipse.emf.common.notify.Adapter` `createReceiveSignalEventAdapter()` Creates a new adapter for an object of class '`Receive Signal Event`'
`org.eclipse.emf.common.notify.Adapter` `createReceptionAdapter()` Creates a new adapter for an object of class '`Reception`'
`org.eclipse.emf.common.notify.Adapter` `createReclassifyObjectActionAdapter()` Creates a new adapter for an object of class '`Reclassify Object Action`'
`org.eclipse.emf.common.notify.Adapter` `createRedefinableElementAdapter()` Creates a new adapter for an object of class '`Redefinable Element`'
`org.eclipse.emf.common.notify.Adapter` `createRedefinableTemplateSignatureAdapter()` Creates a new adapter for an object of class '`Redefinable Template Signature`'
`org.eclipse.emf.common.notify.Adapter` `createReduceActionAdapter()` Creates a new adapter for an object of class '`Reduce Action`'
`org.eclipse.emf.common.notify.Adapter` `createRegionAdapter()` Creates a new adapter for an object of class '`Region`'
`org.eclipse.emf.common.notify.Adapter` `createRelationshipAdapter()` Creates a new adapter for an object of class '`Relationship`'
`org.eclipse.emf.common.notify.Adapter` `createRemoveStructuralFeatureValueActionAdapter()` Creates a new adapter for an object of class '`Remove Structural Feature Value Action`'
`org.eclipse.emf.common.notify.Adapter` `createRemoveVariableValueActionAdapter()` Creates a new adapter for an object of class '`Remove Variable Value Action`'
`org.eclipse.emf.common.notify.Adapter` `createReplyActionAdapter()` Creates a new adapter for an object of class '`Reply Action`'
`org.eclipse.emf.common.notify.Adapter` `createSendObjectActionAdapter()` Creates a new adapter for an object of class '`Send Object Action`'
`org.eclipse.emf.common.notify.Adapter` `createSendOperationEventAdapter()` Creates a new adapter for an object of class '`Send Operation Event`'
`org.eclipse.emf.common.notify.Adapter` `createSendSignalActionAdapter()` Creates a new adapter for an object of class '`Send Signal Action`'
`org.eclipse.emf.common.notify.Adapter` `createSendSignalEventAdapter()` Creates a new adapter for an object of class '`Send Signal Event`'
`org.eclipse.emf.common.notify.Adapter` `createSequenceNodeAdapter()` Creates a new adapter for an object of class '`Sequence Node`'
`org.eclipse.emf.common.notify.Adapter` `createSignalAdapter()` Creates a new adapter for an object of class '`Signal`'
`org.eclipse.emf.common.notify.Adapter` `createSignalEventAdapter()` Creates a new adapter for an object of class '`Signal Event`'
`org.eclipse.emf.common.notify.Adapter` `createSlotAdapter()` Creates a new adapter for an object of class '`Slot`'
`org.eclipse.emf.common.notify.Adapter` `createStartClassifierBehaviorActionAdapter()` Creates a new adapter for an object of class '`Start Classifier Behavior Action`'
`org.eclipse.emf.common.notify.Adapter` `createStateAdapter()` Creates a new adapter for an object of class '`State`'
`org.eclipse.emf.common.notify.Adapter` `createStateInvariantAdapter()` Creates a new adapter for an object of class '`State Invariant`'
`org.eclipse.emf.common.notify.Adapter` `createStateMachineAdapter()` Creates a new adapter for an object of class '`State Machine`'
`org.eclipse.emf.common.notify.Adapter` `createStereotypeAdapter()` Creates a new adapter for an object of class '`Stereotype`'
`org.eclipse.emf.common.notify.Adapter` `createStringExpressionAdapter()` Creates a new adapter for an object of class '`String Expression`'
`org.eclipse.emf.common.notify.Adapter` `createStructuralFeatureActionAdapter()` Creates a new adapter for an object of class '`Structural Feature Action`'
`org.eclipse.emf.common.notify.Adapter` `createStructuralFeatureAdapter()` Creates a new adapter for an object of class '`Structural Feature`'
`org.eclipse.emf.common.notify.Adapter` `createStructuredActivityNodeAdapter()` Creates a new adapter for an object of class '`Structured Activity Node`'
`org.eclipse.emf.common.notify.Adapter` `createStructuredClassifierAdapter()` Creates a new adapter for an object of class '`Structured Classifier`'
`org.eclipse.emf.common.notify.Adapter` `createSubstitutionAdapter()` Creates a new adapter for an object of class '`Substitution`'
`org.eclipse.emf.common.notify.Adapter` `createTemplateableElementAdapter()` Creates a new adapter for an object of class '`Templateable Element`'
`org.eclipse.emf.common.notify.Adapter` `createTemplateBindingAdapter()` Creates a new adapter for an object of class '`Template Binding`'
`org.eclipse.emf.common.notify.Adapter` `createTemplateParameterAdapter()` Creates a new adapter for an object of class '`Template Parameter`'
`org.eclipse.emf.common.notify.Adapter` `createTemplateParameterSubstitutionAdapter()` Creates a new adapter for an object of class '`Template Parameter Substitution`'
`org.eclipse.emf.common.notify.Adapter` `createTemplateSignatureAdapter()` Creates a new adapter for an object of class '`Template Signature`'
`org.eclipse.emf.common.notify.Adapter` `createTestIdentityActionAdapter()` Creates a new adapter for an object of class '`Test Identity Action`'
`org.eclipse.emf.common.notify.Adapter` `createTimeConstraintAdapter()` Creates a new adapter for an object of class '`Time Constraint`'
`org.eclipse.emf.common.notify.Adapter` `createTimeEventAdapter()` Creates a new adapter for an object of class '`Time Event`'
`org.eclipse.emf.common.notify.Adapter` `createTimeExpressionAdapter()` Creates a new adapter for an object of class '`Time Expression`'
`org.eclipse.emf.common.notify.Adapter` `createTimeIntervalAdapter()` Creates a new adapter for an object of class '`Time Interval`'
`org.eclipse.emf.common.notify.Adapter` `createTimeObservationAdapter()` Creates a new adapter for an object of class '`Time Observation`'
`org.eclipse.emf.common.notify.Adapter` `createTransitionAdapter()` Creates a new adapter for an object of class '`Transition`'
`org.eclipse.emf.common.notify.Adapter` `createTriggerAdapter()` Creates a new adapter for an object of class '`Trigger`'
`org.eclipse.emf.common.notify.Adapter` `createTypeAdapter()` Creates a new adapter for an object of class '`Type`'
`org.eclipse.emf.common.notify.Adapter` `createTypedElementAdapter()` Creates a new adapter for an object of class '`Typed Element`'
`org.eclipse.emf.common.notify.Adapter` `createUnmarshallActionAdapter()` Creates a new adapter for an object of class '`Unmarshall Action`'
`org.eclipse.emf.common.notify.Adapter` `createUsageAdapter()` Creates a new adapter for an object of class '`Usage`'
`org.eclipse.emf.common.notify.Adapter` `createUseCaseAdapter()` Creates a new adapter for an object of class '`Use Case`'
`org.eclipse.emf.common.notify.Adapter` `createValuePinAdapter()` Creates a new adapter for an object of class '`Value Pin`'
`org.eclipse.emf.common.notify.Adapter` `createValueSpecificationActionAdapter()` Creates a new adapter for an object of class '`Value Specification Action`'
`org.eclipse.emf.common.notify.Adapter` `createValueSpecificationAdapter()` Creates a new adapter for an object of class '`Value Specification`'
`org.eclipse.emf.common.notify.Adapter` `createVariableActionAdapter()` Creates a new adapter for an object of class '`Variable Action`'
`org.eclipse.emf.common.notify.Adapter` `createVariableAdapter()` Creates a new adapter for an object of class '`Variable`'
`org.eclipse.emf.common.notify.Adapter` `createVertexAdapter()` Creates a new adapter for an object of class '`Vertex`'
`org.eclipse.emf.common.notify.Adapter` `createWriteLinkActionAdapter()` Creates a new adapter for an object of class '`Write Link Action`'
`org.eclipse.emf.common.notify.Adapter` `createWriteStructuralFeatureActionAdapter()` Creates a new adapter for an object of class '`Write Structural Feature Action`'
`org.eclipse.emf.common.notify.Adapter` `createWriteVariableActionAdapter()` Creates a new adapter for an object of class '`Write Variable Action`'
`boolean` `isFactoryForType(java.lang.Object object)` Returns whether this factory is applicable for the type of the object

Methods inherited from class org.eclipse.emf.common.notify.impl.AdapterFactoryImpl
`adapt, adapt, adaptAllNew, adaptNew, associate, createAdapter, resolve`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### modelPackage

    protected static UMLPackage modelPackage

  The cached model package.

### modelSwitch

    protected UMLSwitch<org.eclipse.emf.common.notify.Adapter> modelSwitch

  The switch that delegates to the `createXXX` methods.

Constructor Detail

### UMLAdapterFactory

    public UMLAdapterFactory()

  Creates an instance of the adapter factory.

Method Detail

### isFactoryForType

    public boolean isFactoryForType(java.lang.Object object)

  Returns whether this factory is applicable for the type of the object. This implementation returns `true` if the object is either the model's package or is an instance object of the model.

  Specified by:
    `isFactoryForType` in interface `org.eclipse.emf.common.notify.AdapterFactory`
  Overrides:
    `isFactoryForType` in class `org.eclipse.emf.common.notify.impl.AdapterFactoryImpl`
  Returns:
    whether this factory is applicable for the type of the object.

### createAdapter

    public org.eclipse.emf.common.notify.Adapter createAdapter(org.eclipse.emf.common.notify.Notifier target)

  Creates an adapter for the `target`.

  Overrides:
    `createAdapter` in class `org.eclipse.emf.common.notify.impl.AdapterFactoryImpl`
  Parameters:
    `target` - the object to adapt.
  Returns:
    the adapter for the `target`.

### createCommentAdapter

    public org.eclipse.emf.common.notify.Adapter createCommentAdapter()

  Creates a new adapter for an object of class '`Comment`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `Comment`

### createElementAdapter

    public org.eclipse.emf.common.notify.Adapter createElementAdapter()

  Creates a new adapter for an object of class '`Element`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `Element`

### createDirectedRelationshipAdapter

    public org.eclipse.emf.common.notify.Adapter createDirectedRelationshipAdapter()

  Creates a new adapter for an object of class '`Directed Relationship`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `DirectedRelationship`

### createRelationshipAdapter

    public org.eclipse.emf.common.notify.Adapter createRelationshipAdapter()

  Creates a new adapter for an object of class '`Relationship`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `Relationship`

### createLiteralSpecificationAdapter

    public org.eclipse.emf.common.notify.Adapter createLiteralSpecificationAdapter()

  Creates a new adapter for an object of class '`Literal Specification`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `LiteralSpecification`

### createValueSpecificationAdapter

    public org.eclipse.emf.common.notify.Adapter createValueSpecificationAdapter()

  Creates a new adapter for an object of class '`Value Specification`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ValueSpecification`

### createTypedElementAdapter

    public org.eclipse.emf.common.notify.Adapter createTypedElementAdapter()

  Creates a new adapter for an object of class '`Typed Element`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `TypedElement`

### createNamedElementAdapter

    public org.eclipse.emf.common.notify.Adapter createNamedElementAdapter()

  Creates a new adapter for an object of class '`Named Element`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `NamedElement`

### createDependencyAdapter

    public org.eclipse.emf.common.notify.Adapter createDependencyAdapter()

  Creates a new adapter for an object of class '`Dependency`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `Dependency`

### createPackageableElementAdapter

    public org.eclipse.emf.common.notify.Adapter createPackageableElementAdapter()

  Creates a new adapter for an object of class '`Packageable Element`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `PackageableElement`

### createParameterableElementAdapter

    public org.eclipse.emf.common.notify.Adapter createParameterableElementAdapter()

  Creates a new adapter for an object of class '`Parameterable Element`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ParameterableElement`

### createTemplateParameterAdapter

    public org.eclipse.emf.common.notify.Adapter createTemplateParameterAdapter()

  Creates a new adapter for an object of class '`Template Parameter`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `TemplateParameter`

### createTemplateSignatureAdapter

    public org.eclipse.emf.common.notify.Adapter createTemplateSignatureAdapter()

  Creates a new adapter for an object of class '`Template Signature`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `TemplateSignature`

### createTemplateableElementAdapter

    public org.eclipse.emf.common.notify.Adapter createTemplateableElementAdapter()

  Creates a new adapter for an object of class '`Templateable Element`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `TemplateableElement`

### createTemplateBindingAdapter

    public org.eclipse.emf.common.notify.Adapter createTemplateBindingAdapter()

  Creates a new adapter for an object of class '`Template Binding`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `TemplateBinding`

### createTemplateParameterSubstitutionAdapter

    public org.eclipse.emf.common.notify.Adapter createTemplateParameterSubstitutionAdapter()

  Creates a new adapter for an object of class '`Template Parameter Substitution`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `TemplateParameterSubstitution`

### createNamespaceAdapter

    public org.eclipse.emf.common.notify.Adapter createNamespaceAdapter()

  Creates a new adapter for an object of class '`Namespace`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `Namespace`

### createElementImportAdapter

    public org.eclipse.emf.common.notify.Adapter createElementImportAdapter()

  Creates a new adapter for an object of class '`Element Import`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ElementImport`

### createPackageImportAdapter

    public org.eclipse.emf.common.notify.Adapter createPackageImportAdapter()

  Creates a new adapter for an object of class '`Package Import`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `PackageImport`

### createPackageAdapter

    public org.eclipse.emf.common.notify.Adapter createPackageAdapter()

  Creates a new adapter for an object of class '`Package`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `Package`

### createPackageMergeAdapter

    public org.eclipse.emf.common.notify.Adapter createPackageMergeAdapter()

  Creates a new adapter for an object of class '`Package Merge`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `PackageMerge`

### createTypeAdapter

    public org.eclipse.emf.common.notify.Adapter createTypeAdapter()

  Creates a new adapter for an object of class '`Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `Type`

### createProfileApplicationAdapter

    public org.eclipse.emf.common.notify.Adapter createProfileApplicationAdapter()

  Creates a new adapter for an object of class '`Profile Application`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ProfileApplication`

### createProfileAdapter

    public org.eclipse.emf.common.notify.Adapter createProfileAdapter()

  Creates a new adapter for an object of class '`Profile`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `Profile`

### createStereotypeAdapter

    public org.eclipse.emf.common.notify.Adapter createStereotypeAdapter()

  Creates a new adapter for an object of class '`Stereotype`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `Stereotype`

### createClassAdapter

    public org.eclipse.emf.common.notify.Adapter createClassAdapter()

  Creates a new adapter for an object of class '`Class`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `Class`

### createBehavioredClassifierAdapter

    public org.eclipse.emf.common.notify.Adapter createBehavioredClassifierAdapter()

  Creates a new adapter for an object of class '`Behaviored Classifier`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `BehavioredClassifier`

### createClassifierAdapter

    public org.eclipse.emf.common.notify.Adapter createClassifierAdapter()

  Creates a new adapter for an object of class '`Classifier`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `Classifier`

### createRedefinableElementAdapter

    public org.eclipse.emf.common.notify.Adapter createRedefinableElementAdapter()

  Creates a new adapter for an object of class '`Redefinable Element`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `RedefinableElement`

### createGeneralizationAdapter

    public org.eclipse.emf.common.notify.Adapter createGeneralizationAdapter()

  Creates a new adapter for an object of class '`Generalization`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `Generalization`

### createGeneralizationSetAdapter

    public org.eclipse.emf.common.notify.Adapter createGeneralizationSetAdapter()

  Creates a new adapter for an object of class '`Generalization Set`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `GeneralizationSet`

### createFeatureAdapter

    public org.eclipse.emf.common.notify.Adapter createFeatureAdapter()

  Creates a new adapter for an object of class '`Feature`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `Feature`

### createUseCaseAdapter

    public org.eclipse.emf.common.notify.Adapter createUseCaseAdapter()

  Creates a new adapter for an object of class '`Use Case`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `UseCase`

### createIncludeAdapter

    public org.eclipse.emf.common.notify.Adapter createIncludeAdapter()

  Creates a new adapter for an object of class '`Include`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `Include`

### createExtendAdapter

    public org.eclipse.emf.common.notify.Adapter createExtendAdapter()

  Creates a new adapter for an object of class '`Extend`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `Extend`

### createConstraintAdapter

    public org.eclipse.emf.common.notify.Adapter createConstraintAdapter()

  Creates a new adapter for an object of class '`Constraint`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `Constraint`

### createExtensionPointAdapter

    public org.eclipse.emf.common.notify.Adapter createExtensionPointAdapter()

  Creates a new adapter for an object of class '`Extension Point`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ExtensionPoint`

### createSubstitutionAdapter

    public org.eclipse.emf.common.notify.Adapter createSubstitutionAdapter()

  Creates a new adapter for an object of class '`Substitution`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `Substitution`

### createRealizationAdapter

    public org.eclipse.emf.common.notify.Adapter createRealizationAdapter()

  Creates a new adapter for an object of class '`Realization`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `Realization`

### createAbstractionAdapter

    public org.eclipse.emf.common.notify.Adapter createAbstractionAdapter()

  Creates a new adapter for an object of class '`Abstraction`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `Abstraction`

### createOpaqueExpressionAdapter

    public org.eclipse.emf.common.notify.Adapter createOpaqueExpressionAdapter()

  Creates a new adapter for an object of class '`Opaque Expression`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `OpaqueExpression`

### createParameterAdapter

    public org.eclipse.emf.common.notify.Adapter createParameterAdapter()

  Creates a new adapter for an object of class '`Parameter`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `Parameter`

### createMultiplicityElementAdapter

    public org.eclipse.emf.common.notify.Adapter createMultiplicityElementAdapter()

  Creates a new adapter for an object of class '`Multiplicity Element`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `MultiplicityElement`

### createConnectableElementAdapter

    public org.eclipse.emf.common.notify.Adapter createConnectableElementAdapter()

  Creates a new adapter for an object of class '`Connectable Element`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ConnectableElement`

### createConnectorEndAdapter

    public org.eclipse.emf.common.notify.Adapter createConnectorEndAdapter()

  Creates a new adapter for an object of class '`Connector End`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ConnectorEnd`

### createPropertyAdapter

    public org.eclipse.emf.common.notify.Adapter createPropertyAdapter()

  Creates a new adapter for an object of class '`Property`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `Property`

### createDeploymentTargetAdapter

    public org.eclipse.emf.common.notify.Adapter createDeploymentTargetAdapter()

  Creates a new adapter for an object of class '`Deployment Target`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `DeploymentTarget`

### createDeploymentAdapter

    public org.eclipse.emf.common.notify.Adapter createDeploymentAdapter()

  Creates a new adapter for an object of class '`Deployment`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `Deployment`

### createDeployedArtifactAdapter

    public org.eclipse.emf.common.notify.Adapter createDeployedArtifactAdapter()

  Creates a new adapter for an object of class '`Deployed Artifact`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `DeployedArtifact`

### createDeploymentSpecificationAdapter

    public org.eclipse.emf.common.notify.Adapter createDeploymentSpecificationAdapter()

  Creates a new adapter for an object of class '`Deployment Specification`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `DeploymentSpecification`

### createArtifactAdapter

    public org.eclipse.emf.common.notify.Adapter createArtifactAdapter()

  Creates a new adapter for an object of class '`Artifact`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `Artifact`

### createManifestationAdapter

    public org.eclipse.emf.common.notify.Adapter createManifestationAdapter()

  Creates a new adapter for an object of class '`Manifestation`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `Manifestation`

### createOperationAdapter

    public org.eclipse.emf.common.notify.Adapter createOperationAdapter()

  Creates a new adapter for an object of class '`Operation`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `Operation`

### createBehavioralFeatureAdapter

    public org.eclipse.emf.common.notify.Adapter createBehavioralFeatureAdapter()

  Creates a new adapter for an object of class '`Behavioral Feature`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `BehavioralFeature`

### createBehaviorAdapter

    public org.eclipse.emf.common.notify.Adapter createBehaviorAdapter()

  Creates a new adapter for an object of class '`Behavior`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `Behavior`

### createParameterSetAdapter

    public org.eclipse.emf.common.notify.Adapter createParameterSetAdapter()

  Creates a new adapter for an object of class '`Parameter Set`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ParameterSet`

### createDataTypeAdapter

    public org.eclipse.emf.common.notify.Adapter createDataTypeAdapter()

  Creates a new adapter for an object of class '`Data Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `DataType`

### createInterfaceAdapter

    public org.eclipse.emf.common.notify.Adapter createInterfaceAdapter()

  Creates a new adapter for an object of class '`Interface`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `Interface`

### createReceptionAdapter

    public org.eclipse.emf.common.notify.Adapter createReceptionAdapter()

  Creates a new adapter for an object of class '`Reception`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `Reception`

### createSignalAdapter

    public org.eclipse.emf.common.notify.Adapter createSignalAdapter()

  Creates a new adapter for an object of class '`Signal`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `Signal`

### createProtocolStateMachineAdapter

    public org.eclipse.emf.common.notify.Adapter createProtocolStateMachineAdapter()

  Creates a new adapter for an object of class '`Protocol State Machine`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ProtocolStateMachine`

### createStateMachineAdapter

    public org.eclipse.emf.common.notify.Adapter createStateMachineAdapter()

  Creates a new adapter for an object of class '`State Machine`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `StateMachine`

### createRegionAdapter

    public org.eclipse.emf.common.notify.Adapter createRegionAdapter()

  Creates a new adapter for an object of class '`Region`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `Region`

### createVertexAdapter

    public org.eclipse.emf.common.notify.Adapter createVertexAdapter()

  Creates a new adapter for an object of class '`Vertex`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `Vertex`

### createTransitionAdapter

    public org.eclipse.emf.common.notify.Adapter createTransitionAdapter()

  Creates a new adapter for an object of class '`Transition`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `Transition`

### createTriggerAdapter

    public org.eclipse.emf.common.notify.Adapter createTriggerAdapter()

  Creates a new adapter for an object of class '`Trigger`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `Trigger`

### createEventAdapter

    public org.eclipse.emf.common.notify.Adapter createEventAdapter()

  Creates a new adapter for an object of class '`Event`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `Event`

### createPortAdapter

    public org.eclipse.emf.common.notify.Adapter createPortAdapter()

  Creates a new adapter for an object of class '`Port`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `Port`

### createStateAdapter

    public org.eclipse.emf.common.notify.Adapter createStateAdapter()

  Creates a new adapter for an object of class '`State`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `State`

### createConnectionPointReferenceAdapter

    public org.eclipse.emf.common.notify.Adapter createConnectionPointReferenceAdapter()

  Creates a new adapter for an object of class '`Connection Point Reference`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ConnectionPointReference`

### createPseudostateAdapter

    public org.eclipse.emf.common.notify.Adapter createPseudostateAdapter()

  Creates a new adapter for an object of class '`Pseudostate`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `Pseudostate`

### createProtocolConformanceAdapter

    public org.eclipse.emf.common.notify.Adapter createProtocolConformanceAdapter()

  Creates a new adapter for an object of class '`Protocol Conformance`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ProtocolConformance`

### createOperationTemplateParameterAdapter

    public org.eclipse.emf.common.notify.Adapter createOperationTemplateParameterAdapter()

  Creates a new adapter for an object of class '`Operation Template Parameter`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `OperationTemplateParameter`

### createStructuralFeatureAdapter

    public org.eclipse.emf.common.notify.Adapter createStructuralFeatureAdapter()

  Creates a new adapter for an object of class '`Structural Feature`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `StructuralFeature`

### createAssociationAdapter

    public org.eclipse.emf.common.notify.Adapter createAssociationAdapter()

  Creates a new adapter for an object of class '`Association`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `Association`

### createConnectableElementTemplateParameterAdapter

    public org.eclipse.emf.common.notify.Adapter createConnectableElementTemplateParameterAdapter()

  Creates a new adapter for an object of class '`Connectable Element Template Parameter`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ConnectableElementTemplateParameter`

### createCollaborationUseAdapter

    public org.eclipse.emf.common.notify.Adapter createCollaborationUseAdapter()

  Creates a new adapter for an object of class '`Collaboration Use`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `CollaborationUse`

### createCollaborationAdapter

    public org.eclipse.emf.common.notify.Adapter createCollaborationAdapter()

  Creates a new adapter for an object of class '`Collaboration`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `Collaboration`

### createStructuredClassifierAdapter

    public org.eclipse.emf.common.notify.Adapter createStructuredClassifierAdapter()

  Creates a new adapter for an object of class '`Structured Classifier`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `StructuredClassifier`

### createConnectorAdapter

    public org.eclipse.emf.common.notify.Adapter createConnectorAdapter()

  Creates a new adapter for an object of class '`Connector`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `Connector`

### createRedefinableTemplateSignatureAdapter

    public org.eclipse.emf.common.notify.Adapter createRedefinableTemplateSignatureAdapter()

  Creates a new adapter for an object of class '`Redefinable Template Signature`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `RedefinableTemplateSignature`

### createClassifierTemplateParameterAdapter

    public org.eclipse.emf.common.notify.Adapter createClassifierTemplateParameterAdapter()

  Creates a new adapter for an object of class '`Classifier Template Parameter`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ClassifierTemplateParameter`

### createInterfaceRealizationAdapter

    public org.eclipse.emf.common.notify.Adapter createInterfaceRealizationAdapter()

  Creates a new adapter for an object of class '`Interface Realization`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `InterfaceRealization`

### createEncapsulatedClassifierAdapter

    public org.eclipse.emf.common.notify.Adapter createEncapsulatedClassifierAdapter()

  Creates a new adapter for an object of class '`Encapsulated Classifier`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `EncapsulatedClassifier`

### createExtensionAdapter

    public org.eclipse.emf.common.notify.Adapter createExtensionAdapter()

  Creates a new adapter for an object of class '`Extension`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `Extension`

### createExtensionEndAdapter

    public org.eclipse.emf.common.notify.Adapter createExtensionEndAdapter()

  Creates a new adapter for an object of class '`Extension End`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ExtensionEnd`

### createImageAdapter

    public org.eclipse.emf.common.notify.Adapter createImageAdapter()

  Creates a new adapter for an object of class '`Image`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `Image`

### createStringExpressionAdapter

    public org.eclipse.emf.common.notify.Adapter createStringExpressionAdapter()

  Creates a new adapter for an object of class '`String Expression`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `StringExpression`

### createExpressionAdapter

    public org.eclipse.emf.common.notify.Adapter createExpressionAdapter()

  Creates a new adapter for an object of class '`Expression`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `Expression`

### createLiteralIntegerAdapter

    public org.eclipse.emf.common.notify.Adapter createLiteralIntegerAdapter()

  Creates a new adapter for an object of class '`Literal Integer`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `LiteralInteger`

### createLiteralStringAdapter

    public org.eclipse.emf.common.notify.Adapter createLiteralStringAdapter()

  Creates a new adapter for an object of class '`Literal String`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `LiteralString`

### createLiteralBooleanAdapter

    public org.eclipse.emf.common.notify.Adapter createLiteralBooleanAdapter()

  Creates a new adapter for an object of class '`Literal Boolean`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `LiteralBoolean`

### createLiteralNullAdapter

    public org.eclipse.emf.common.notify.Adapter createLiteralNullAdapter()

  Creates a new adapter for an object of class '`Literal Null`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `LiteralNull`

### createSlotAdapter

    public org.eclipse.emf.common.notify.Adapter createSlotAdapter()

  Creates a new adapter for an object of class '`Slot`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `Slot`

### createInstanceSpecificationAdapter

    public org.eclipse.emf.common.notify.Adapter createInstanceSpecificationAdapter()

  Creates a new adapter for an object of class '`Instance Specification`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `InstanceSpecification`

### createEnumerationAdapter

    public org.eclipse.emf.common.notify.Adapter createEnumerationAdapter()

  Creates a new adapter for an object of class '`Enumeration`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `Enumeration`

### createEnumerationLiteralAdapter

    public org.eclipse.emf.common.notify.Adapter createEnumerationLiteralAdapter()

  Creates a new adapter for an object of class '`Enumeration Literal`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `EnumerationLiteral`

### createPrimitiveTypeAdapter

    public org.eclipse.emf.common.notify.Adapter createPrimitiveTypeAdapter()

  Creates a new adapter for an object of class '`Primitive Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `PrimitiveType`

### createInstanceValueAdapter

    public org.eclipse.emf.common.notify.Adapter createInstanceValueAdapter()

  Creates a new adapter for an object of class '`Instance Value`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `InstanceValue`

### createLiteralUnlimitedNaturalAdapter

    public org.eclipse.emf.common.notify.Adapter createLiteralUnlimitedNaturalAdapter()

  Creates a new adapter for an object of class '`Literal Unlimited Natural`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `LiteralUnlimitedNatural`

### createOpaqueBehaviorAdapter

    public org.eclipse.emf.common.notify.Adapter createOpaqueBehaviorAdapter()

  Creates a new adapter for an object of class '`Opaque Behavior`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `OpaqueBehavior`

### createFunctionBehaviorAdapter

    public org.eclipse.emf.common.notify.Adapter createFunctionBehaviorAdapter()

  Creates a new adapter for an object of class '`Function Behavior`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `FunctionBehavior`

### createActorAdapter

    public org.eclipse.emf.common.notify.Adapter createActorAdapter()

  Creates a new adapter for an object of class '`Actor`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `Actor`

### createUsageAdapter

    public org.eclipse.emf.common.notify.Adapter createUsageAdapter()

  Creates a new adapter for an object of class '`Usage`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `Usage`

### createMessageAdapter

    public org.eclipse.emf.common.notify.Adapter createMessageAdapter()

  Creates a new adapter for an object of class '`Message`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `Message`

### createMessageEndAdapter

    public org.eclipse.emf.common.notify.Adapter createMessageEndAdapter()

  Creates a new adapter for an object of class '`Message End`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `MessageEnd`

### createInteractionAdapter

    public org.eclipse.emf.common.notify.Adapter createInteractionAdapter()

  Creates a new adapter for an object of class '`Interaction`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `Interaction`

### createInteractionFragmentAdapter

    public org.eclipse.emf.common.notify.Adapter createInteractionFragmentAdapter()

  Creates a new adapter for an object of class '`Interaction Fragment`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `InteractionFragment`

### createLifelineAdapter

    public org.eclipse.emf.common.notify.Adapter createLifelineAdapter()

  Creates a new adapter for an object of class '`Lifeline`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `Lifeline`

### createPartDecompositionAdapter

    public org.eclipse.emf.common.notify.Adapter createPartDecompositionAdapter()

  Creates a new adapter for an object of class '`Part Decomposition`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `PartDecomposition`

### createInteractionUseAdapter

    public org.eclipse.emf.common.notify.Adapter createInteractionUseAdapter()

  Creates a new adapter for an object of class '`Interaction Use`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `InteractionUse`

### createGateAdapter

    public org.eclipse.emf.common.notify.Adapter createGateAdapter()

  Creates a new adapter for an object of class '`Gate`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `Gate`

### createActionAdapter

    public org.eclipse.emf.common.notify.Adapter createActionAdapter()

  Creates a new adapter for an object of class '`Action`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `Action`

### createExecutableNodeAdapter

    public org.eclipse.emf.common.notify.Adapter createExecutableNodeAdapter()

  Creates a new adapter for an object of class '`Executable Node`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ExecutableNode`

### createActivityNodeAdapter

    public org.eclipse.emf.common.notify.Adapter createActivityNodeAdapter()

  Creates a new adapter for an object of class '`Activity Node`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ActivityNode`

### createActivityEdgeAdapter

    public org.eclipse.emf.common.notify.Adapter createActivityEdgeAdapter()

  Creates a new adapter for an object of class '`Activity Edge`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ActivityEdge`

### createActivityAdapter

    public org.eclipse.emf.common.notify.Adapter createActivityAdapter()

  Creates a new adapter for an object of class '`Activity`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `Activity`

### createActivityPartitionAdapter

    public org.eclipse.emf.common.notify.Adapter createActivityPartitionAdapter()

  Creates a new adapter for an object of class '`Activity Partition`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ActivityPartition`

### createActivityGroupAdapter

    public org.eclipse.emf.common.notify.Adapter createActivityGroupAdapter()

  Creates a new adapter for an object of class '`Activity Group`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ActivityGroup`

### createStructuredActivityNodeAdapter

    public org.eclipse.emf.common.notify.Adapter createStructuredActivityNodeAdapter()

  Creates a new adapter for an object of class '`Structured Activity Node`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `StructuredActivityNode`

### createVariableAdapter

    public org.eclipse.emf.common.notify.Adapter createVariableAdapter()

  Creates a new adapter for an object of class '`Variable`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `Variable`

### createInterruptibleActivityRegionAdapter

    public org.eclipse.emf.common.notify.Adapter createInterruptibleActivityRegionAdapter()

  Creates a new adapter for an object of class '`Interruptible Activity Region`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `InterruptibleActivityRegion`

### createExceptionHandlerAdapter

    public org.eclipse.emf.common.notify.Adapter createExceptionHandlerAdapter()

  Creates a new adapter for an object of class '`Exception Handler`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ExceptionHandler`

### createObjectNodeAdapter

    public org.eclipse.emf.common.notify.Adapter createObjectNodeAdapter()

  Creates a new adapter for an object of class '`Object Node`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ObjectNode`

### createOutputPinAdapter

    public org.eclipse.emf.common.notify.Adapter createOutputPinAdapter()

  Creates a new adapter for an object of class '`Output Pin`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `OutputPin`

### createPinAdapter

    public org.eclipse.emf.common.notify.Adapter createPinAdapter()

  Creates a new adapter for an object of class '`Pin`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `Pin`

### createInputPinAdapter

    public org.eclipse.emf.common.notify.Adapter createInputPinAdapter()

  Creates a new adapter for an object of class '`Input Pin`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `InputPin`

### createGeneralOrderingAdapter

    public org.eclipse.emf.common.notify.Adapter createGeneralOrderingAdapter()

  Creates a new adapter for an object of class '`General Ordering`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `GeneralOrdering`

### createOccurrenceSpecificationAdapter

    public org.eclipse.emf.common.notify.Adapter createOccurrenceSpecificationAdapter()

  Creates a new adapter for an object of class '`Occurrence Specification`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `OccurrenceSpecification`

### createInteractionOperandAdapter

    public org.eclipse.emf.common.notify.Adapter createInteractionOperandAdapter()

  Creates a new adapter for an object of class '`Interaction Operand`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `InteractionOperand`

### createInteractionConstraintAdapter

    public org.eclipse.emf.common.notify.Adapter createInteractionConstraintAdapter()

  Creates a new adapter for an object of class '`Interaction Constraint`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `InteractionConstraint`

### createExecutionSpecificationAdapter

    public org.eclipse.emf.common.notify.Adapter createExecutionSpecificationAdapter()

  Creates a new adapter for an object of class '`Execution Specification`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ExecutionSpecification`

### createExecutionOccurrenceSpecificationAdapter

    public org.eclipse.emf.common.notify.Adapter createExecutionOccurrenceSpecificationAdapter()

  Creates a new adapter for an object of class '`Execution Occurrence Specification`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ExecutionOccurrenceSpecification`

### createExecutionEventAdapter

    public org.eclipse.emf.common.notify.Adapter createExecutionEventAdapter()

  Creates a new adapter for an object of class '`Execution Event`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ExecutionEvent`

### createStateInvariantAdapter

    public org.eclipse.emf.common.notify.Adapter createStateInvariantAdapter()

  Creates a new adapter for an object of class '`State Invariant`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `StateInvariant`

### createActionExecutionSpecificationAdapter

    public org.eclipse.emf.common.notify.Adapter createActionExecutionSpecificationAdapter()

  Creates a new adapter for an object of class '`Action Execution Specification`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ActionExecutionSpecification`

### createBehaviorExecutionSpecificationAdapter

    public org.eclipse.emf.common.notify.Adapter createBehaviorExecutionSpecificationAdapter()

  Creates a new adapter for an object of class '`Behavior Execution Specification`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `BehaviorExecutionSpecification`

### createCreationEventAdapter

    public org.eclipse.emf.common.notify.Adapter createCreationEventAdapter()

  Creates a new adapter for an object of class '`Creation Event`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `CreationEvent`

### createDestructionEventAdapter

    public org.eclipse.emf.common.notify.Adapter createDestructionEventAdapter()

  Creates a new adapter for an object of class '`Destruction Event`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `DestructionEvent`

### createSendOperationEventAdapter

    public org.eclipse.emf.common.notify.Adapter createSendOperationEventAdapter()

  Creates a new adapter for an object of class '`Send Operation Event`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `SendOperationEvent`

### createMessageEventAdapter

    public org.eclipse.emf.common.notify.Adapter createMessageEventAdapter()

  Creates a new adapter for an object of class '`Message Event`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `MessageEvent`

### createSendSignalEventAdapter

    public org.eclipse.emf.common.notify.Adapter createSendSignalEventAdapter()

  Creates a new adapter for an object of class '`Send Signal Event`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `SendSignalEvent`

### createMessageOccurrenceSpecificationAdapter

    public org.eclipse.emf.common.notify.Adapter createMessageOccurrenceSpecificationAdapter()

  Creates a new adapter for an object of class '`Message Occurrence Specification`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `MessageOccurrenceSpecification`

### createReceiveOperationEventAdapter

    public org.eclipse.emf.common.notify.Adapter createReceiveOperationEventAdapter()

  Creates a new adapter for an object of class '`Receive Operation Event`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ReceiveOperationEvent`

### createReceiveSignalEventAdapter

    public org.eclipse.emf.common.notify.Adapter createReceiveSignalEventAdapter()

  Creates a new adapter for an object of class '`Receive Signal Event`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ReceiveSignalEvent`

### createCombinedFragmentAdapter

    public org.eclipse.emf.common.notify.Adapter createCombinedFragmentAdapter()

  Creates a new adapter for an object of class '`Combined Fragment`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `CombinedFragment`

### createContinuationAdapter

    public org.eclipse.emf.common.notify.Adapter createContinuationAdapter()

  Creates a new adapter for an object of class '`Continuation`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `Continuation`

### createConsiderIgnoreFragmentAdapter

    public org.eclipse.emf.common.notify.Adapter createConsiderIgnoreFragmentAdapter()

  Creates a new adapter for an object of class '`Consider Ignore Fragment`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ConsiderIgnoreFragment`

### createCallEventAdapter

    public org.eclipse.emf.common.notify.Adapter createCallEventAdapter()

  Creates a new adapter for an object of class '`Call Event`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `CallEvent`

### createChangeEventAdapter

    public org.eclipse.emf.common.notify.Adapter createChangeEventAdapter()

  Creates a new adapter for an object of class '`Change Event`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ChangeEvent`

### createSignalEventAdapter

    public org.eclipse.emf.common.notify.Adapter createSignalEventAdapter()

  Creates a new adapter for an object of class '`Signal Event`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `SignalEvent`

### createAnyReceiveEventAdapter

    public org.eclipse.emf.common.notify.Adapter createAnyReceiveEventAdapter()

  Creates a new adapter for an object of class '`Any Receive Event`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `AnyReceiveEvent`

### createCreateObjectActionAdapter

    public org.eclipse.emf.common.notify.Adapter createCreateObjectActionAdapter()

  Creates a new adapter for an object of class '`Create Object Action`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `CreateObjectAction`

### createDestroyObjectActionAdapter

    public org.eclipse.emf.common.notify.Adapter createDestroyObjectActionAdapter()

  Creates a new adapter for an object of class '`Destroy Object Action`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `DestroyObjectAction`

### createTestIdentityActionAdapter

    public org.eclipse.emf.common.notify.Adapter createTestIdentityActionAdapter()

  Creates a new adapter for an object of class '`Test Identity Action`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `TestIdentityAction`

### createReadSelfActionAdapter

    public org.eclipse.emf.common.notify.Adapter createReadSelfActionAdapter()

  Creates a new adapter for an object of class '`Read Self Action`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ReadSelfAction`

### createStructuralFeatureActionAdapter

    public org.eclipse.emf.common.notify.Adapter createStructuralFeatureActionAdapter()

  Creates a new adapter for an object of class '`Structural Feature Action`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `StructuralFeatureAction`

### createReadStructuralFeatureActionAdapter

    public org.eclipse.emf.common.notify.Adapter createReadStructuralFeatureActionAdapter()

  Creates a new adapter for an object of class '`Read Structural Feature Action`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ReadStructuralFeatureAction`

### createWriteStructuralFeatureActionAdapter

    public org.eclipse.emf.common.notify.Adapter createWriteStructuralFeatureActionAdapter()

  Creates a new adapter for an object of class '`Write Structural Feature Action`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `WriteStructuralFeatureAction`

### createClearStructuralFeatureActionAdapter

    public org.eclipse.emf.common.notify.Adapter createClearStructuralFeatureActionAdapter()

  Creates a new adapter for an object of class '`Clear Structural Feature Action`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ClearStructuralFeatureAction`

### createRemoveStructuralFeatureValueActionAdapter

    public org.eclipse.emf.common.notify.Adapter createRemoveStructuralFeatureValueActionAdapter()

  Creates a new adapter for an object of class '`Remove Structural Feature Value Action`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `RemoveStructuralFeatureValueAction`

### createAddStructuralFeatureValueActionAdapter

    public org.eclipse.emf.common.notify.Adapter createAddStructuralFeatureValueActionAdapter()

  Creates a new adapter for an object of class '`Add Structural Feature Value Action`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `AddStructuralFeatureValueAction`

### createLinkActionAdapter

    public org.eclipse.emf.common.notify.Adapter createLinkActionAdapter()

  Creates a new adapter for an object of class '`Link Action`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `LinkAction`

### createLinkEndDataAdapter

    public org.eclipse.emf.common.notify.Adapter createLinkEndDataAdapter()

  Creates a new adapter for an object of class '`Link End Data`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `LinkEndData`

### createQualifierValueAdapter

    public org.eclipse.emf.common.notify.Adapter createQualifierValueAdapter()

  Creates a new adapter for an object of class '`Qualifier Value`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `QualifierValue`

### createReadLinkActionAdapter

    public org.eclipse.emf.common.notify.Adapter createReadLinkActionAdapter()

  Creates a new adapter for an object of class '`Read Link Action`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ReadLinkAction`

### createLinkEndCreationDataAdapter

    public org.eclipse.emf.common.notify.Adapter createLinkEndCreationDataAdapter()

  Creates a new adapter for an object of class '`Link End Creation Data`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `LinkEndCreationData`

### createCreateLinkActionAdapter

    public org.eclipse.emf.common.notify.Adapter createCreateLinkActionAdapter()

  Creates a new adapter for an object of class '`Create Link Action`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `CreateLinkAction`

### createWriteLinkActionAdapter

    public org.eclipse.emf.common.notify.Adapter createWriteLinkActionAdapter()

  Creates a new adapter for an object of class '`Write Link Action`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `WriteLinkAction`

### createDestroyLinkActionAdapter

    public org.eclipse.emf.common.notify.Adapter createDestroyLinkActionAdapter()

  Creates a new adapter for an object of class '`Destroy Link Action`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `DestroyLinkAction`

### createLinkEndDestructionDataAdapter

    public org.eclipse.emf.common.notify.Adapter createLinkEndDestructionDataAdapter()

  Creates a new adapter for an object of class '`Link End Destruction Data`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `LinkEndDestructionData`

### createClearAssociationActionAdapter

    public org.eclipse.emf.common.notify.Adapter createClearAssociationActionAdapter()

  Creates a new adapter for an object of class '`Clear Association Action`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ClearAssociationAction`

### createBroadcastSignalActionAdapter

    public org.eclipse.emf.common.notify.Adapter createBroadcastSignalActionAdapter()

  Creates a new adapter for an object of class '`Broadcast Signal Action`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `BroadcastSignalAction`

### createInvocationActionAdapter

    public org.eclipse.emf.common.notify.Adapter createInvocationActionAdapter()

  Creates a new adapter for an object of class '`Invocation Action`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `InvocationAction`

### createSendObjectActionAdapter

    public org.eclipse.emf.common.notify.Adapter createSendObjectActionAdapter()

  Creates a new adapter for an object of class '`Send Object Action`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `SendObjectAction`

### createValueSpecificationActionAdapter

    public org.eclipse.emf.common.notify.Adapter createValueSpecificationActionAdapter()

  Creates a new adapter for an object of class '`Value Specification Action`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ValueSpecificationAction`

### createTimeExpressionAdapter

    public org.eclipse.emf.common.notify.Adapter createTimeExpressionAdapter()

  Creates a new adapter for an object of class '`Time Expression`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `TimeExpression`

### createObservationAdapter

    public org.eclipse.emf.common.notify.Adapter createObservationAdapter()

  Creates a new adapter for an object of class '`Observation`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `Observation`

### createDurationAdapter

    public org.eclipse.emf.common.notify.Adapter createDurationAdapter()

  Creates a new adapter for an object of class '`Duration`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `Duration`

### createValuePinAdapter

    public org.eclipse.emf.common.notify.Adapter createValuePinAdapter()

  Creates a new adapter for an object of class '`Value Pin`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ValuePin`

### createDurationIntervalAdapter

    public org.eclipse.emf.common.notify.Adapter createDurationIntervalAdapter()

  Creates a new adapter for an object of class '`Duration Interval`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `DurationInterval`

### createIntervalAdapter

    public org.eclipse.emf.common.notify.Adapter createIntervalAdapter()

  Creates a new adapter for an object of class '`Interval`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `Interval`

### createTimeConstraintAdapter

    public org.eclipse.emf.common.notify.Adapter createTimeConstraintAdapter()

  Creates a new adapter for an object of class '`Time Constraint`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `TimeConstraint`

### createIntervalConstraintAdapter

    public org.eclipse.emf.common.notify.Adapter createIntervalConstraintAdapter()

  Creates a new adapter for an object of class '`Interval Constraint`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `IntervalConstraint`

### createTimeIntervalAdapter

    public org.eclipse.emf.common.notify.Adapter createTimeIntervalAdapter()

  Creates a new adapter for an object of class '`Time Interval`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `TimeInterval`

### createDurationConstraintAdapter

    public org.eclipse.emf.common.notify.Adapter createDurationConstraintAdapter()

  Creates a new adapter for an object of class '`Duration Constraint`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `DurationConstraint`

### createTimeObservationAdapter

    public org.eclipse.emf.common.notify.Adapter createTimeObservationAdapter()

  Creates a new adapter for an object of class '`Time Observation`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `TimeObservation`

### createDurationObservationAdapter

    public org.eclipse.emf.common.notify.Adapter createDurationObservationAdapter()

  Creates a new adapter for an object of class '`Duration Observation`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `DurationObservation`

### createOpaqueActionAdapter

    public org.eclipse.emf.common.notify.Adapter createOpaqueActionAdapter()

  Creates a new adapter for an object of class '`Opaque Action`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `OpaqueAction`

### createCallActionAdapter

    public org.eclipse.emf.common.notify.Adapter createCallActionAdapter()

  Creates a new adapter for an object of class '`Call Action`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `CallAction`

### createSendSignalActionAdapter

    public org.eclipse.emf.common.notify.Adapter createSendSignalActionAdapter()

  Creates a new adapter for an object of class '`Send Signal Action`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `SendSignalAction`

### createCallOperationActionAdapter

    public org.eclipse.emf.common.notify.Adapter createCallOperationActionAdapter()

  Creates a new adapter for an object of class '`Call Operation Action`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `CallOperationAction`

### createCallBehaviorActionAdapter

    public org.eclipse.emf.common.notify.Adapter createCallBehaviorActionAdapter()

  Creates a new adapter for an object of class '`Call Behavior Action`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `CallBehaviorAction`

### createInformationItemAdapter

    public org.eclipse.emf.common.notify.Adapter createInformationItemAdapter()

  Creates a new adapter for an object of class '`Information Item`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `InformationItem`

### createInformationFlowAdapter

    public org.eclipse.emf.common.notify.Adapter createInformationFlowAdapter()

  Creates a new adapter for an object of class '`Information Flow`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `InformationFlow`

### createModelAdapter

    public org.eclipse.emf.common.notify.Adapter createModelAdapter()

  Creates a new adapter for an object of class '`Model`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `Model`

### createVariableActionAdapter

    public org.eclipse.emf.common.notify.Adapter createVariableActionAdapter()

  Creates a new adapter for an object of class '`Variable Action`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `VariableAction`

### createReadVariableActionAdapter

    public org.eclipse.emf.common.notify.Adapter createReadVariableActionAdapter()

  Creates a new adapter for an object of class '`Read Variable Action`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ReadVariableAction`

### createWriteVariableActionAdapter

    public org.eclipse.emf.common.notify.Adapter createWriteVariableActionAdapter()

  Creates a new adapter for an object of class '`Write Variable Action`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `WriteVariableAction`

### createClearVariableActionAdapter

    public org.eclipse.emf.common.notify.Adapter createClearVariableActionAdapter()

  Creates a new adapter for an object of class '`Clear Variable Action`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ClearVariableAction`

### createAddVariableValueActionAdapter

    public org.eclipse.emf.common.notify.Adapter createAddVariableValueActionAdapter()

  Creates a new adapter for an object of class '`Add Variable Value Action`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `AddVariableValueAction`

### createRemoveVariableValueActionAdapter

    public org.eclipse.emf.common.notify.Adapter createRemoveVariableValueActionAdapter()

  Creates a new adapter for an object of class '`Remove Variable Value Action`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `RemoveVariableValueAction`

### createRaiseExceptionActionAdapter

    public org.eclipse.emf.common.notify.Adapter createRaiseExceptionActionAdapter()

  Creates a new adapter for an object of class '`Raise Exception Action`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `RaiseExceptionAction`

### createActionInputPinAdapter

    public org.eclipse.emf.common.notify.Adapter createActionInputPinAdapter()

  Creates a new adapter for an object of class '`Action Input Pin`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ActionInputPin`

### createReadExtentActionAdapter

    public org.eclipse.emf.common.notify.Adapter createReadExtentActionAdapter()

  Creates a new adapter for an object of class '`Read Extent Action`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ReadExtentAction`

### createReclassifyObjectActionAdapter

    public org.eclipse.emf.common.notify.Adapter createReclassifyObjectActionAdapter()

  Creates a new adapter for an object of class '`Reclassify Object Action`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ReclassifyObjectAction`

### createReadIsClassifiedObjectActionAdapter

    public org.eclipse.emf.common.notify.Adapter createReadIsClassifiedObjectActionAdapter()

  Creates a new adapter for an object of class '`Read Is Classified Object Action`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ReadIsClassifiedObjectAction`

### createStartClassifierBehaviorActionAdapter

    public org.eclipse.emf.common.notify.Adapter createStartClassifierBehaviorActionAdapter()

  Creates a new adapter for an object of class '`Start Classifier Behavior Action`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `StartClassifierBehaviorAction`

### createReadLinkObjectEndActionAdapter

    public org.eclipse.emf.common.notify.Adapter createReadLinkObjectEndActionAdapter()

  Creates a new adapter for an object of class '`Read Link Object End Action`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ReadLinkObjectEndAction`

### createReadLinkObjectEndQualifierActionAdapter

    public org.eclipse.emf.common.notify.Adapter createReadLinkObjectEndQualifierActionAdapter()

  Creates a new adapter for an object of class '`Read Link Object End Qualifier Action`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ReadLinkObjectEndQualifierAction`

### createCreateLinkObjectActionAdapter

    public org.eclipse.emf.common.notify.Adapter createCreateLinkObjectActionAdapter()

  Creates a new adapter for an object of class '`Create Link Object Action`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `CreateLinkObjectAction`

### createAcceptEventActionAdapter

    public org.eclipse.emf.common.notify.Adapter createAcceptEventActionAdapter()

  Creates a new adapter for an object of class '`Accept Event Action`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `AcceptEventAction`

### createAcceptCallActionAdapter

    public org.eclipse.emf.common.notify.Adapter createAcceptCallActionAdapter()

  Creates a new adapter for an object of class '`Accept Call Action`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `AcceptCallAction`

### createReplyActionAdapter

    public org.eclipse.emf.common.notify.Adapter createReplyActionAdapter()

  Creates a new adapter for an object of class '`Reply Action`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ReplyAction`

### createUnmarshallActionAdapter

    public org.eclipse.emf.common.notify.Adapter createUnmarshallActionAdapter()

  Creates a new adapter for an object of class '`Unmarshall Action`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `UnmarshallAction`

### createReduceActionAdapter

    public org.eclipse.emf.common.notify.Adapter createReduceActionAdapter()

  Creates a new adapter for an object of class '`Reduce Action`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ReduceAction`

### createControlNodeAdapter

    public org.eclipse.emf.common.notify.Adapter createControlNodeAdapter()

  Creates a new adapter for an object of class '`Control Node`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ControlNode`

### createControlFlowAdapter

    public org.eclipse.emf.common.notify.Adapter createControlFlowAdapter()

  Creates a new adapter for an object of class '`Control Flow`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ControlFlow`

### createInitialNodeAdapter

    public org.eclipse.emf.common.notify.Adapter createInitialNodeAdapter()

  Creates a new adapter for an object of class '`Initial Node`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `InitialNode`

### createActivityParameterNodeAdapter

    public org.eclipse.emf.common.notify.Adapter createActivityParameterNodeAdapter()

  Creates a new adapter for an object of class '`Activity Parameter Node`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ActivityParameterNode`

### createForkNodeAdapter

    public org.eclipse.emf.common.notify.Adapter createForkNodeAdapter()

  Creates a new adapter for an object of class '`Fork Node`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ForkNode`

### createFlowFinalNodeAdapter

    public org.eclipse.emf.common.notify.Adapter createFlowFinalNodeAdapter()

  Creates a new adapter for an object of class '`Flow Final Node`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `FlowFinalNode`

### createFinalNodeAdapter

    public org.eclipse.emf.common.notify.Adapter createFinalNodeAdapter()

  Creates a new adapter for an object of class '`Final Node`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `FinalNode`

### createCentralBufferNodeAdapter

    public org.eclipse.emf.common.notify.Adapter createCentralBufferNodeAdapter()

  Creates a new adapter for an object of class '`Central Buffer Node`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `CentralBufferNode`

### createMergeNodeAdapter

    public org.eclipse.emf.common.notify.Adapter createMergeNodeAdapter()

  Creates a new adapter for an object of class '`Merge Node`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `MergeNode`

### createDecisionNodeAdapter

    public org.eclipse.emf.common.notify.Adapter createDecisionNodeAdapter()

  Creates a new adapter for an object of class '`Decision Node`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `DecisionNode`

### createActivityFinalNodeAdapter

    public org.eclipse.emf.common.notify.Adapter createActivityFinalNodeAdapter()

  Creates a new adapter for an object of class '`Activity Final Node`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ActivityFinalNode`

### createJoinNodeAdapter

    public org.eclipse.emf.common.notify.Adapter createJoinNodeAdapter()

  Creates a new adapter for an object of class '`Join Node`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `JoinNode`

### createDataStoreNodeAdapter

    public org.eclipse.emf.common.notify.Adapter createDataStoreNodeAdapter()

  Creates a new adapter for an object of class '`Data Store Node`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `DataStoreNode`

### createObjectFlowAdapter

    public org.eclipse.emf.common.notify.Adapter createObjectFlowAdapter()

  Creates a new adapter for an object of class '`Object Flow`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ObjectFlow`

### createSequenceNodeAdapter

    public org.eclipse.emf.common.notify.Adapter createSequenceNodeAdapter()

  Creates a new adapter for an object of class '`Sequence Node`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `SequenceNode`

### createConditionalNodeAdapter

    public org.eclipse.emf.common.notify.Adapter createConditionalNodeAdapter()

  Creates a new adapter for an object of class '`Conditional Node`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ConditionalNode`

### createClauseAdapter

    public org.eclipse.emf.common.notify.Adapter createClauseAdapter()

  Creates a new adapter for an object of class '`Clause`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `Clause`

### createLoopNodeAdapter

    public org.eclipse.emf.common.notify.Adapter createLoopNodeAdapter()

  Creates a new adapter for an object of class '`Loop Node`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `LoopNode`

### createExpansionNodeAdapter

    public org.eclipse.emf.common.notify.Adapter createExpansionNodeAdapter()

  Creates a new adapter for an object of class '`Expansion Node`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ExpansionNode`

### createExpansionRegionAdapter

    public org.eclipse.emf.common.notify.Adapter createExpansionRegionAdapter()

  Creates a new adapter for an object of class '`Expansion Region`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ExpansionRegion`

### createComponentRealizationAdapter

    public org.eclipse.emf.common.notify.Adapter createComponentRealizationAdapter()

  Creates a new adapter for an object of class '`Component Realization`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ComponentRealization`

### createComponentAdapter

    public org.eclipse.emf.common.notify.Adapter createComponentAdapter()

  Creates a new adapter for an object of class '`Component`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `Component`

### createNodeAdapter

    public org.eclipse.emf.common.notify.Adapter createNodeAdapter()

  Creates a new adapter for an object of class '`Node`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `Node`

### createDeviceAdapter

    public org.eclipse.emf.common.notify.Adapter createDeviceAdapter()

  Creates a new adapter for an object of class '`Device`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `Device`

### createExecutionEnvironmentAdapter

    public org.eclipse.emf.common.notify.Adapter createExecutionEnvironmentAdapter()

  Creates a new adapter for an object of class '`Execution Environment`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ExecutionEnvironment`

### createCommunicationPathAdapter

    public org.eclipse.emf.common.notify.Adapter createCommunicationPathAdapter()

  Creates a new adapter for an object of class '`Communication Path`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `CommunicationPath`

### createFinalStateAdapter

    public org.eclipse.emf.common.notify.Adapter createFinalStateAdapter()

  Creates a new adapter for an object of class '`Final State`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `FinalState`

### createTimeEventAdapter

    public org.eclipse.emf.common.notify.Adapter createTimeEventAdapter()

  Creates a new adapter for an object of class '`Time Event`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `TimeEvent`

### createProtocolTransitionAdapter

    public org.eclipse.emf.common.notify.Adapter createProtocolTransitionAdapter()

  Creates a new adapter for an object of class '`Protocol Transition`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ProtocolTransition`

### createAssociationClassAdapter

    public org.eclipse.emf.common.notify.Adapter createAssociationClassAdapter()

  Creates a new adapter for an object of class '`Association Class`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `AssociationClass`

### createEModelElementAdapter

    public org.eclipse.emf.common.notify.Adapter createEModelElementAdapter()

  Creates a new adapter for an object of class '`EModel Element`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `EModelElement`

### createEObjectAdapter

    public org.eclipse.emf.common.notify.Adapter createEObjectAdapter()

  Creates a new adapter for the default case. This default implementation returns null.

  Returns:
    the new adapter.

Copyright 2003, 2007 IBM Corporation and others. All Rights Reserved.